libweed 0.6.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Macros
Macros | Functions
weed-gslice_scripting.c File Reference
`#include "weed.h"`
`#include "weed-host.h"`
`#include <glib.h>`
`#include <string.h>`
`#include <stdlib.h>`

## Macros
#define | _WEED_VISIBLE_FUNCTIONS_

## Functions
void | weed_plant_free (weed_plant_t *leaf)
int | weed_leaf_delete (weed_plant_t *plant, const char *key)
int | weed_leaf_set_flags (weed_plant_t *plant, const char *key, int flags)
weed_plant_t * | weed_plant_new (int plant_type)
char ** | weed_plant_list_leaves (weed_plant_t *plant)
int | weed_leaf_set (weed_plant_t *plant, const char *key, int seed_type, int num_elems, void *value)
int | weed_leaf_set_plugin (weed_plant_t *plant, const char *key, int seed_type, int num_elems, void *value)
int | weed_default_get (weed_plant_t *plant, const char *key, int idx, void *value)
int | weed_leaf_get (weed_plant_t *plant, const char *key, int idx, void *value)
int | weed_leaf_num_elements (weed_plant_t *plant, const char *key)
size_t | weed_leaf_element_size (weed_plant_t *plant, const char *key, int idx)
int | weed_leaf_seed_type (weed_plant_t *plant, const char *key)
int | weed_leaf_get_flags (weed_plant_t *plant, const char *key)
void | weed_free (void *p)
void * | weed_memset (void *p, int c, size_t n)
void * | weed_malloc (size_t n)
void * | weed_memcpy (void *dest, const void *src, size_t n)

## Macro Definition Documentation

#define _WEED_VISIBLE_FUNCTIONS_

## Function Documentation

int weed_default_get | ( | weed_plant_t * | plant,
|  | const char * | key,
|  | int | idx,
|  | void * | value
| ) |  |

void weed_free | ( | void * | p | ) |

int weed_leaf_delete | ( | weed_plant_t * | plant,
|  | const char * | key
| ) |  |

size_t weed_leaf_element_size | ( | weed_plant_t * | plant,
|  | const char * | key,
|  | int | idx
| ) |  |

int weed_leaf_get | ( | weed_plant_t * | plant,
|  | const char * | key,
|  | int | idx,
|  | void * | value
| ) |  |

int weed_leaf_get_flags | ( | weed_plant_t * | plant,
|  | const char * | key
| ) |  |

int weed_leaf_num_elements | ( | weed_plant_t * | plant,
|  | const char * | key
| ) |  |

int weed_leaf_seed_type | ( | weed_plant_t * | plant,
|  | const char * | key
| ) |  |

int weed_leaf_set | ( | weed_plant_t * | plant,
|  | const char * | key,
|  | int | seed_type,
|  | int | num_elems,
|  | void * | value
| ) |  |

int weed_leaf_set_flags | ( | weed_plant_t * | plant,
|  | const char * | key,
|  | int | flags
| ) |  |

int weed_leaf_set_plugin | ( | weed_plant_t * | plant,
|  | const char * | key,
|  | int | seed_type,
|  | int | num_elems,
|  | void * | value
| ) |  |

void* weed_malloc | ( | size_t | n | ) |

void* weed_memcpy | ( | void * | dest,
|  | const void * | src,
|  | size_t | n
| ) |  |

void* weed_memset | ( | void * | p,
|  | int | c,
|  | size_t | n
| ) |  |

void weed_plant_free | ( | weed_plant_t * | leaf | ) |

char** weed_plant_list_leaves | ( | weed_plant_t * | plant | ) |

weed_plant_t* weed_plant_new | ( | int | plant_type | ) |